Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🎉 New: MCP Server – Connect Claude, Cursor, and other AI assistants to your Bananaflow workspace. Set it up →
Interact with Bananaflow programmatically via the REST API
https://app.bananaflow.ai/api/v1
v1
Content-Type: application/json
curl -X POST https://app.bananaflow.ai/api/v1/workflow/create/definition \ -H "Content-Type: application/json" \ -H "X-API-Key: bnf_your_api_key" \ -d '{"name": "My Agent", "workflow_definition": {}}'
{ "detail": "Error message describing what went wrong" }
{ "detail": [ { "loc": ["body", "name"], "msg": "field required", "type": "value_error.missing" } ] }
Was this page helpful?